package com.realnet.stepper.Services;
import com.realnet.stepper.Repository.TestpremiumRepository;
import com.realnet.stepper.Entity.Testpremium
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






import com.realnet.config.EmailService;


	import org.springframework.stereotype.Service;

@Service
 public class TestpremiumService {
@Autowired
private TestpremiumRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





@Autowired
	private EmailService emailServicestatic;

public Testpremium Savedata(Testpremium data) {







 

try 
		   {

		// emailServicestatic.sendEmail( getUser().getEmail(),"Testpremium", "test");
		emailServicestatic.sendEmailViaSetu(getUser().getEmail(),"test","","ganesh");

} catch (Exception e) {
			// TODO: handle exception
			System.out.println("Got error  During Mail Send " + e);
		}

 


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testpremium save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testpremium> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Testpremium> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testpremium> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testpremium getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testpremium update(Testpremium data,Integer id) {
	Testpremium old = Repository.findById(id).get();
old.setName(data.getName());



old.setApproved_field_status(data.getApproved_field_status());



final Testpremium test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
